Skip to content
Start here

Fetch all participants of a meeting

GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants

Returns all participants detail for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
meeting_id: string
formatuuid
Query ParametersExpand Collapse
page_no: optional number

The page number from which you want your page search results to be displayed.

minimum0
per_page: optional number

Number of results per page

minimum0
ReturnsExpand Collapse
data: array of object { id, created_at, custom_participant_id, 4 more }
id: string

ID of the participant.

formatuuid
created_at: string

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: string

A unique participant ID generated by the client.

preset_name: string

Preset applied to the participant.

updated_at: string

When this object was updated. The time is returned in ISO format.

formatdate-time
name: optional string

Name of the participant.

picture: optional string

URL to a picture of the participant.

formaturi
paging: object { end_offset, start_offset, total_count }
end_offset: number
start_offset: number
total_count: number
minimum0
success: boolean

Fetch all participants of a meeting

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/meetings/$MEETING_ID/participants \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "custom_participant_id": "custom_participant_id",
      "preset_name": "preset_name",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "picture": "https://example.com"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "custom_participant_id": "custom_participant_id",
      "preset_name": "preset_name",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "picture": "https://example.com"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}